<?php

declare(strict_types=1);

namespace PpPhp\Core\Resources\Contracts;

interface ResourcePackInterface
{
    public static function id(): string;

    public static function label(): string;

    public static function type(): string;

    public static function version(): string;

    public static function metadata(): array;

    public static function assets(): array;
}
